gd_aliases(3)

NAME
gd_aliases — retrieve a list of aliases for a field in a Dirfile database

SYNOPSIS
#include <getdata.h>

const char **gd_aliases(DIRFILE *dirfile, const char *field_code);

DESCRIPTION
The function queries a dirfile(5) database specified by and returns a read-only list of aliases of the field specified by

The argument must point to a valid DIRFILE object previously created by a call to

The array returned will be de-allocated by a call to and should not be de-allocated by the caller. The list returned should not be assumed to be in any particular order. The array is terminated by a NULL pointer. The number of strings in the array can be obtained from a call to

The caller may not modify any strings in the array, or the array itself. Doing so may cause database corruption. The pointer returned is guaranteed to be valid until is called again with the same arguments, or until the array is de-allocated by a call to

RETURN VALUE
Upon successful completion, returns a pointer to an array of strings containing the values of all the aliases for the specified field. The array is terminated by a NULL pointer. If successful, this list will always contain at least one entry, to wit:

On error it returns NULL and sets the dirfile error to a non-zero error value. Possible error values are: The library was unable to allocate memory. The specified field code was not found in the database. The supplied dirfile was invalid.

The dirfile error may be retrieved by calling A descriptive error string for the last error encountered can be obtained from a call to

HISTORY
The function appeared in GetData-0.8.0.

SEE ALSO
dirfile(5)